Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.querybuilder
Class SearchOptions

    java.lang.Object
      com.sun.mdm.index.querybuilder.SearchOptions

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AssumedMatchSearchObject, AuditSearchObject, EOSearchOptions, PotentialDuplicateSearchObject

public class SearchOptions
extends java.lang.Object
implements java.io.Serializable

Generic class representing a set of options for executing a query

See Also:
  Serialized Form

Field Summary
`protected int` | `mMaxElements` Max elements
`protected int` | `mPageSize` Page size

Constructor Summary
`SearchOptions()` Constructor

Method Summary
`boolean` | `getBooleanOption(java.lang.String name)` Retrieves boolean option
`int` | `getMaxElements()` Max number of records to retrieve.
`int` | `getMaxQueryElements()` Absolute Max number of records to retrieve.
`java.lang.String` | `getOption(java.lang.String name)` Getter for search specific options
`java.lang.String[]` | `getOptionNames()` Get all available option names
`int` | `getPageSize()` Number of records transferred to caller when data is required.
`int` | `setMaxElements(int maxElements)` Set max number of records to retrieve.
`int` | `setMaxQueryElements(int maxElements)` Sets max number of records to retrieve from QueryManager So this sets the limit of QueryObject
`void` | `setOption(java.lang.String name, java.lang.String value)` Setter for search specific options.
`void` | `setPageSize(int pageSize)` See getPageSize
`java.lang.String` | `toString()` String representation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mMaxElements

    protected int mMaxElements

  Max elements

### mPageSize

    protected int mPageSize

  Page size

Constructor Detail

### SearchOptions

    public SearchOptions()

  Constructor

Method Detail

### getBooleanOption

    public boolean getBooleanOption(java.lang.String name)

  Retrieves boolean option

  Parameters:
    `name` - option name
  Returns:
    boolean value

### getMaxElements

    public int getMaxElements()

  Max number of records to retrieve.

  Returns:
    max elements to retrieve

### getMaxQueryElements

    public int getMaxQueryElements()

  Absolute Max number of records to retrieve. limit set by system

  Returns:
    max elements to retrieve

### getOption

    public java.lang.String getOption(java.lang.String name)

  Getter for search specific options

  Parameters:
    `name` - option name
  Returns:
    options value

### getOptionNames

    public java.lang.String[] getOptionNames()

  Get all available option names

  Returns:
    option name array

### getPageSize

    public int getPageSize()

  Number of records transferred to caller when data is required.

  Returns:
    page size

### setMaxElements

    public int setMaxElements(int maxElements)

  Set max number of records to retrieve.

  Parameters:
    `maxElements` - max elements
  Returns:
    max elements

### setMaxQueryElements

    public int setMaxQueryElements(int maxElements)

  Sets max number of records to retrieve from QueryManager So this sets the limit of QueryObject

  Parameters:
    `maxElements` - max elements
  Returns:
    max elements

### setOption

    public void setOption(java.lang.String name,
                          java.lang.String value)

  Setter for search specific options.

  Parameters:
    `name` - option
    `value` - option

### setPageSize

    public void setPageSize(int pageSize)

  See getPageSize

  Parameters:
    `pageSize` - page size

### toString

    public java.lang.String toString()

  String representation

  Returns:
    string representation

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.